#
# spec file for package dvdbackup
#
# Copyright (c) 2020 Packman Team <packman@links2linux.de>
# Copyright (c) 2005-2012 Manfred Tremmel <Manfred.Tremmel@iiv.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


Name:           dvdbackup
Version:        0.4.2
Release:        pm152.4.4
Summary:        A DVD backup utility
Summary(de):    Ein DVD Backup Hilfsprogramm
License:        GPL-3.0-or-later
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            https://sourceforge.net/projects/dvdbackup/
Source0:        https://downloads.sourceforge.net/dvdbackup/%{name}-%{version}.tar.xz
Patch1:         dvdbackup-0.4.2-automake1_12.diff
Patch2:         dvdbackup-0.4.2-libdvdread6.patch
BuildRequires:  automake
BuildRequires:  libdvdread-devel
BuildRequires:  libtool

%description
dvdbackup is a utility to make a 1:1 copy of a dvd

%description -l de
dvdbackup ist ein Hilfsprogramm zur Erstellung einer 1:1 Kopie einer dvd

%lang_package

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure

%make_build

%install
%make_install
%find_lang %{name} -f %{name}.lang
rm -rf %{buildroot}%{_datadir}/doc

%files
%license COPYING
%doc AUTHORS NEWS README
%{_bindir}/dvdbackup
%{_mandir}/man1/dvdbackup.1%{?ext_man}

%files lang -f %{name}.lang

%changelog
* Fri May 22 2020 Luigi Baldoni <aloisio@gmx.com>
- Use upstream source tarball
- Drop dvdbackup-0.4.2-libdvdread4.diff
- Add dvdbackup-0.4.2-libdvdread6.patch
- Split lang files into subpackage
- Spec cleanup
* Sun Jul 29 2012 Manfred.Tremmel@iiv.de
- update to 0.4.2
  New Features:
  * Added new command line option -p, --progress: Print progress report
  while copying from the DVD; thanks to flipflip for the patch.
  * Added new translations from Launchpad: Danish (da),
  English (United Kingdom) (en_GB), Estonian (et), Portuguese (pt),
  Slovak (sk), Turkish (tr)
  * New complete translation: English (United Kingdom) (en_GB),
  French (fr), Italian (it), Slovak (sk)
  Changes:
  * Convert DVD title to lower case, but let every word in the title start
  with an upper case letter and replace underscores with spaces.
  Bug fixes:
  * Print the correct vob file name in which the read error happens.
  Thanks to Kolja Nowak for the patch. (Closes: #585560, LP: #648752)
  * Fix DVD title detection on FreeBSD. Thanks to Emanuel Haupt.
  * Fix copying of fragmented chapters. Thanks to Christian Kuehnke for
  the patch. (LP: #648920)
* Tue Jun  5 2012 seife+obs@b1-systems.com
- fix build with autoconf 1.12 (Factory)
- change License: tag to make rpmlint happier
* Sat May 19 2012 seife+obs@b1-systems.com
- add autoconf & friends buildrequires to fix Factory build
* Thu Jan 21 2010 ludwig.nussel@gmx.de
- make it build with libdvdread4
- spec file cleanup
* Sun Sep  6 2009 Manfred.Tremmel@iiv.de
- update to 0.4.1
* Tue Mar  3 2009 Manfred.Tremmel@iiv.de
- update to 0.4
* Sun Nov 30 2008 Manfred.Tremmel@iiv.de
- update/switch to 0.2 from http://sourceforge.net/projects/dvdbackup
* Fri May  5 2006 Manfred.Tremmel@iiv.de
- update to 0.3
* Sat Apr 29 2006 Manfred.Tremmel@iiv.de
- update to 0.2
* Wed Jan 25 2006 Manfred.Tremmel@iiv.de
- added a patch to make it run with libdvdread 0.9.5
* Sun Jun 26 2005 Manfred.Tremmel@iiv.de
- initial spec file for Packman
